Subject: Re: Broken? http://www.postgresql.org/about/

From: "Dave Page" <[email-masked]>
Date: Thu, 17 Nov 2005 16:18:37 -0000

> -----Original Message-----
> From: Robert Treat [mailto:[email-masked]] 
> Sent: 17 November 2005 16:12
> To: Dave Page
> Cc: [email-masked]; [email-masked]
> Subject: Re: [pgsql-www] Broken? http://www.postgresql.org/about/
> 
> On Thu, 2005-11-17 at 05:28, Dave Page wrote:
> > BTW, how goes the form submission verification?
> > 
> 
> I heard an interesting twist on this... rather than doing image
> verification, you instead reject submissions that come from page that
> don't contain a postgresql.org refferrer on the submission page. The
> idea being the spam bots post directly to the submission 
> page, but users
> navigate thier way into the page. simple (and transparent to the user)
> but apparently very effective for some folks that have 
> implemented it. 

Sounds like a good idea, except legitimate clients might not send it (I
don't know off-hand if any do offer a way to stop it, but it seems like
a sensible privacy option). Also I imagine it would be really easy to
add it to the spam bots, so I doubt it'll be long before it stops
working for them as well.

Regards, Dave.